import { firebase_v1beta1 } from 'googleapis';
import { GoogleApis } from './apis.types';
import { EventCB } from './firebase.types';
export declare function getFirebaseWebappConfig(googleapis: GoogleApis, projectId: string, appId?: string): Promise<firebase_v1beta1.Schema$WebAppConfig>;
export declare function getFirebaseWebapp(googleapis: GoogleApis, projectId: string, appId?: string): Promise<firebase_v1beta1.Schema$WebApp>;
export declare function createFirebaseWebapp(googleapis: GoogleApis, projectId: string, displayName?: string, appUrls?: string[]): Promise<firebase_v1beta1.Schema$WebApp>;
export declare function listFirebaseProjectApps(googleapis: GoogleApis, projectId: string, pageSize?: number, pageToken?: string): Promise<firebase_v1beta1.Schema$FirebaseAppInfo[] | undefined>;
export declare function getFirebaseProject(googleapis: GoogleApis, projectId: string): Promise<firebase_v1beta1.Schema$FirebaseProject>;
export declare function listAvailableProjects(googleapis: GoogleApis, pageSize?: number, pageToken?: string): Promise<firebase_v1beta1.Schema$ProjectInfo[] | undefined>;
export declare function listFirebaseProjects(googleapis: GoogleApis, pageSize?: number, pageToken?: string): Promise<firebase_v1beta1.Schema$FirebaseProject[]>;
export declare function createFirebaseProject(googleapis: GoogleApis, name: string, cb?: EventCB): Promise<string>;
export declare function addFirebaseFeatures(googleapis: GoogleApis, projectId: string, cb?: EventCB): Promise<void>;
export declare function createGCProject(googleapis: GoogleApis, name: string, cb?: EventCB): Promise<string>;
