export declare enum ERRORS {
    PROJECTID_TAKEN = "Requested entity already exists",
    GCP_TERMS_OF_SERVICE = "Callers must accept Terms of Service",
    FIREBASE_TERMS_OF_SERVICE = "The caller does not have permission"
}
export declare enum EVENTS {
    PROJECT_CREATION_ATTEMPT_STARTED = 0,
    PROJECT_CREATION_NAME_TAKEN = 1,
    PROJECT_CREATION_STARTED = 2,
    PROJECT_CREATION_SUCCEEDED = 3,
    ADD_FIREBASE_FEATURES_STARTED = 4,
    ADD_FIREBASE_FEATURES_SUCCEEDED = 5
}
export declare type EventCB = (event: EVENTS, data?: any) => void;
