"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ERRORS;
(function (ERRORS) {
    ERRORS["PROJECTID_TAKEN"] = "Requested entity already exists";
    ERRORS["GCP_TERMS_OF_SERVICE"] = "Callers must accept Terms of Service";
    ERRORS["FIREBASE_TERMS_OF_SERVICE"] = "The caller does not have permission";
})(ERRORS = exports.ERRORS || (exports.ERRORS = {}));
var EVENTS;
(function (EVENTS) {
    EVENTS[EVENTS["PROJECT_CREATION_ATTEMPT_STARTED"] = 0] = "PROJECT_CREATION_ATTEMPT_STARTED";
    EVENTS[EVENTS["PROJECT_CREATION_NAME_TAKEN"] = 1] = "PROJECT_CREATION_NAME_TAKEN";
    EVENTS[EVENTS["PROJECT_CREATION_STARTED"] = 2] = "PROJECT_CREATION_STARTED";
    EVENTS[EVENTS["PROJECT_CREATION_SUCCEEDED"] = 3] = "PROJECT_CREATION_SUCCEEDED";
    EVENTS[EVENTS["ADD_FIREBASE_FEATURES_STARTED"] = 4] = "ADD_FIREBASE_FEATURES_STARTED";
    EVENTS[EVENTS["ADD_FIREBASE_FEATURES_SUCCEEDED"] = 5] = "ADD_FIREBASE_FEATURES_SUCCEEDED";
})(EVENTS = exports.EVENTS || (exports.EVENTS = {}));
//# sourceMappingURL=firebase.types.js.map